package com.steering.pss.sale.order.model;

/**
 * 数据库表SLM_ORD_DESIGN_MSC_JG_PL所对应的实体类（生成工具：代码生成器2.3）
 * @author USER-20150712LG   date 2015-08-27
 */
public class DesignMscJgPlEntity {
    /**
     * DESGIN_KEY
     */
    private String desginKey;
    /**
     * 接箍码(COM_MSC_R_JG)
     */
    private String codeJg;
    /**
     * 全程产线号(COM_MSC_BACKLOG)
     */
    private String mscPline;
    /**
     * 全程途径码
     */
    private String wholeBacklog;
    /**
     * 全程途径描述
     */
    private String wholeBacklogDesc;
    /**
     * 是否设定制程(0:否;1:是)
     */
    private String setFl;
    /**
     * 警告信息
     */
    private String warnDesc;
    /**
     * 合同号
     */
    private String ordLnPk;

    public DesignMscJgPlEntity(){
        desginKey = "";
        codeJg = "";
        mscPline = "";
        wholeBacklog = "";
        wholeBacklogDesc = "";
        setFl = "";
        warnDesc = "";
        ordLnPk = "";
    }

    /**
     * DESGIN_KEY
     * @return value
     */
    public String getDesginKey() {
        return desginKey;
    }

    /**
     * DESGIN_KEY
     * @param desginKey value
     */
    public void setDesginKey(String desginKey) {
        this.desginKey = desginKey;
    }

    /**
     * 接箍码(COM_MSC_R_JG)
     * @return value
     */
    public String getCodeJg() {
        return codeJg;
    }

    /**
     * 接箍码(COM_MSC_R_JG)
     * @param codeJg value
     */
    public void setCodeJg(String codeJg) {
        this.codeJg = codeJg;
    }

    /**
     * 全程产线号(COM_MSC_BACKLOG)
     * @return value
     */
    public String getMscPline() {
        return mscPline;
    }

    /**
     * 全程产线号(COM_MSC_BACKLOG)
     * @param mscPline value
     */
    public void setMscPline(String mscPline) {
        this.mscPline = mscPline;
    }

    /**
     * 全程途径码
     * @return value
     */
    public String getWholeBacklog() {
        return wholeBacklog;
    }

    /**
     * 全程途径码
     * @param wholeBacklog value
     */
    public void setWholeBacklog(String wholeBacklog) {
        this.wholeBacklog = wholeBacklog;
    }

    /**
     * 全程途径描述
     * @return value
     */
    public String getWholeBacklogDesc() {
        return wholeBacklogDesc;
    }

    /**
     * 全程途径描述
     * @param wholeBacklogDesc value
     */
    public void setWholeBacklogDesc(String wholeBacklogDesc) {
        this.wholeBacklogDesc = wholeBacklogDesc;
    }

    /**
     * 是否设定制程(0:否;1:是)
     * @return value
     */
    public String getSetFl() {
        return setFl;
    }

    /**
     * 是否设定制程(0:否;1:是)
     * @param setFl value
     */
    public void setSetFl(String setFl) {
        this.setFl = setFl;
    }

    /**
     * 警告信息
     * @return value
     */
    public String getWarnDesc() {
        return warnDesc;
    }

    /**
     * 警告信息
     * @param warnDesc value
     */
    public void setWarnDesc(String warnDesc) {
        this.warnDesc = warnDesc;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * 合同号
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }
}